/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
import {
    SamplingPointsOutputFeatures,
    SamplingPointsOutputFeaturesFromJSON,
    SamplingPointsOutputFeaturesFromJSONTyped,
    SamplingPointsOutputFeaturesToJSON,
} from './';

/**
 * 
 * @export
 * @interface SamplingPointsOutput
 */
export interface SamplingPointsOutput {
    /**
     * 
     * @type {Array<SamplingPointsOutputFeatures>}
     * @memberof SamplingPointsOutput
     */
    features: Array<SamplingPointsOutputFeatures>;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsOutput
     */
    type: SamplingPointsOutputTypeEnum;
}

export function SamplingPointsOutputFromJSON(json: any): SamplingPointsOutput {
    return SamplingPointsOutputFromJSONTyped(json, false);
}

export function SamplingPointsOutputFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPointsOutput {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'features': ((json['features'] as Array<any>).map(SamplingPointsOutputFeaturesFromJSON)),
        'type': json['type'],
    };
}

export function SamplingPointsOutputToJSON(value?: SamplingPointsOutput | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'features': ((value.features as Array<any>).map(SamplingPointsOutputFeaturesToJSON)),
        'type': value.type,
    };
}

/**
* @export
* @enum {string}
*/
export enum SamplingPointsOutputTypeEnum {
    FeatureCollection = 'FeatureCollection'
}


